using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using BE;
using BL;
using Utilitaria;

using System.Data;
using System.Data.SqlClient;
using Telerik.Web.UI;
using System.Configuration;


using System.Data.OleDb;
using System.IO;
using System.Globalization;

using System.Threading;

public partial class frmMayorizacion : System.Web.UI.Page
{
    Boolean _Analitico = false;

    protected void Page_Load(object sender, EventArgs e)
    {
        
        Thread.CurrentThread.CurrentCulture = new CultureInfo("es-PE");
        Thread.CurrentThread.CurrentUICulture = new CultureInfo("es-PE");

        label_desde_html.Visible = false;
        label_hasta_html.Visible = false;
        lblDesde.Visible = false;
        lblHasta.Visible = false;

        if (Session["Usuario"] == null)
        {
            Response.Redirect(Utilitaria.Cls_Enums.CerrarSesion.Salir);
        }

        if (!Page.IsPostBack)
        {
            ViewState["Click"] = "1";
            Cls_Propiedades.TempMayorizados.Clear();

            /////////////////////////// Inicio Parametros Cabecera 
            ViewState["FecDesde"] = Session["Desde"];
            ViewState["FecHasta"] = Session["Hasta"];
            this.lblMoneda.Text = Utilitaria.Cls_Utilitaria.f_MostraNombreMoneda(Convert.ToInt32(Session["MonedaID"].ToString()), 3);
            if (ViewState["FecDesde"] == "" || ViewState["FecDesde"] == null || ViewState["FecHasta"] == "" || ViewState["FecHasta"] == null)
            {
                this.lblDesde.Text = "--/--/----";
                this.lblHasta.Text = "--/--/----";
            }
            else
            {
                this.lblDesde.Text = String.Format("{0:dd/MM/yyyy}", Convert.ToDateTime(Session["Desde"].ToString()));
                this.lblHasta.Text = String.Format("{0:dd/MM/yyyy}", Convert.ToDateTime(Session["Hasta"].ToString()));
            }
            /////////////////////////// Fin Parametros Cabecera 

            

            //CultureInfo ci = new CultureInfo("es-PE");
            //ci.NumberFormat.CurrencyNegativePattern = 14;
            //System.Threading.Thread.CurrentThread.CurrentCulture = ci;

            tk_Grid.Width = Convert.ToInt32(Session["hidWidth"]) - 50;

            PopulateCombo_TipoFormatoGGPP(String.Empty);
            cbxTipoFormatoGGPP.SelectedValue = Request.QueryString["PPGG"];
            PopulateCombo_Moneda(String.Empty);

            lblTitulo.Text = this.cbxTipoFormatoGGPP.SelectedItem.Text.ToString() + " - " + Session["txtPeriodo"];
            lblSucursal.Text = Request.QueryString["Scr"].ToString();
            lblUnidadNegocio.Text = Request.QueryString["Und"].ToString(); 
            lblArea.Text = Request.QueryString["Area"].ToString();

            //Diego 07/01/2014
            //PopulateCombo_Acumulado(String.Empty);   
            PopulateCombo_Acumulado(Request.QueryString["ACUM"]);
            if (Convert.ToInt32(Request.QueryString["ACUM"]) == 1)
            {
                lblDesde.Visible = false;
                label_desde_html.Visible = false;
            }
            //Diego 07/01/2014

            PopulateComco_TipoCuenta(String.Empty);
            PopulateCombo_NivelCuenta(String.Empty);

            ViewState["NivelCuentaID"] = cbxNivelCuentas.SelectedValue.Trim();
            if (ViewState["NivelCuentaID"].ToString() == "") ViewState["NivelCuentaID"] = "0";
            foreach (GridColumn col in tk_Grid.Columns)
            {
                if (col.UniqueName == "NombrePlanCuenta" || col.UniqueName == "CodigoPlanCuenta")
                {
                    col.Visible = false;
                }
            } 

            ViewState["HotelID"] = Request.QueryString["Scr"].ToString();
            if (ViewState["HotelID"].ToString() == "") ViewState["HotelID"] = "0";
            if (ViewState["HotelID"].ToString() != "0")
            {
                BLHoteles oBLHoteles = new BLHoteles();
                List<BEHoteles> loHoteles;
                loHoteles = oBLHoteles.fnSelHotelesDin("Where HotelID=" + ViewState["HotelID"].ToString().Trim(), "");
                lblSucursal.Text = loHoteles[0].NombreHotel;
            }
            else
            {
                lblSucursal.Text = "Todas";
            }

            ViewState["UnidadNegocioID"] = Request.QueryString["Und"].ToString();
            if (ViewState["UnidadNegocioID"].ToString() == "") ViewState["UnidadNegocioID"] = "0";
            if (ViewState["UnidadNegocioID"].ToString() != "0")
            {
            BLUnidadesDeNegocio oBLUnidadesDeNegocio = new BLUnidadesDeNegocio();
            BEUnidadesDeNegocio oBEUnidadesDeNegocio = new BEUnidadesDeNegocio();
            oBEUnidadesDeNegocio.EstablecimientoID = Convert.ToInt32(Session["EmpresaID"].ToString());
            List<BEUnidadesDeNegocio> loUnidadesDeNegocio;
            loUnidadesDeNegocio = oBLUnidadesDeNegocio.fnSelUnidadesDeNegocioDin(oBEUnidadesDeNegocio, "and UnidadNegocioID=" + ViewState["UnidadNegocioID"].ToString().Trim(),"");
            lblUnidadNegocio.Text = loUnidadesDeNegocio[0].NombreUnidadNegocio;
            }
            else
            {
                lblUnidadNegocio.Text = "Todas";
            }

            ViewState["AreaID"] = Request.QueryString["Area"].ToString();
            if (ViewState["AreaID"].ToString() == "") ViewState["AreaID"] = "0";
            if (ViewState["AreaID"].ToString() != "0")
            {            
            BLAreas oBLAreas = new BLAreas();
            List<BEAreas> loAreas;
            loAreas = oBLAreas.fnSelAreasDin("AreaID=" + ViewState["AreaID"].ToString().Trim(), "");
            lblArea.Text = loAreas[0].NombreArea;
            }
            else
            {
                lblArea.Text = "Todas";
            }
            SetVariables();
        }

    }

   
    private void listar()
    {
        
        if (ViewState["Click"] == "1" )
        {
            BEMayorizados objet_Mayorizados = new BEMayorizados();
            BLMayorizados objlg_Mayorizados = new BLMayorizados();

            objet_Mayorizados.MonedaID = Convert.ToInt32(cbxMoneda.SelectedValue.Trim());
            objet_Mayorizados.TipoFormatoGGPPID = Convert.ToInt32(cbxTipoFormatoGGPP.SelectedValue.Trim());
            objet_Mayorizados.TipoCuentaID = (String)this.cbxTipoCuenta.SelectedValue.Trim();
            objet_Mayorizados.Ejercicio = Convert.ToInt32(Session["txtperiodo"].ToString());
            objet_Mayorizados.UnidadNegocioID = Convert.ToInt32(ViewState["UnidadNegocioID"]);
            objet_Mayorizados.AreaID = Convert.ToInt32(ViewState["AreaID"]);
            objet_Mayorizados.HotelID = Convert.ToInt32(ViewState["HotelID"]);
            objet_Mayorizados.NivelID = Convert.ToInt32(cbxNivelCuentas.SelectedValue.Trim());
            objet_Mayorizados.EstablecimientoID = Convert.ToInt32(Session["EmpresaID"]);
            objet_Mayorizados.FormatoReporte = Convert.ToInt32(Request.QueryString["FormatoReporte"].ToString());
            objet_Mayorizados.PeriodoID = Convert.ToInt32(Request.QueryString["Mes"].ToString());

            if (Convert.ToInt32(cbxAcumulado.SelectedValue) == 0)
            {
                Cls_Propiedades.TempMayorizados = objlg_Mayorizados.fnSelMayorizadosDin(objet_Mayorizados, 0);
            }
            else
            {
                Cls_Propiedades.TempMayorizados = objlg_Mayorizados.fnSelMayorizadosAcumuladoDin(objet_Mayorizados, 1);
            }

            this.tk_Grid.Columns[0].ItemStyle.HorizontalAlign = HorizontalAlign.Left;

            objet_Mayorizados = null;
            objlg_Mayorizados = null;

            
        }

        tk_Grid.DataSource = Cls_Propiedades.TempMayorizados;
        if (cbxNivelCuentas.SelectedValue != "0")
        {
            foreach (GridColumn col in tk_Grid.Columns)
            {
                if (col.UniqueName == "NombrePlanCuenta" || col.UniqueName == "CodigoPlanCuenta")
                {
                    col.Visible = true;
                }
                if (col.UniqueName == "NombreFormatoGanaciasPerdidas")
                {
                    col.Visible = false;
                }
            }
        }
        
        _Analitico = false;
        tk_Grid.MasterTableView.GroupByExpressions.Clear();
        tk_Grid.MasterTableView.GroupByExpressions.Add(new GridGroupByExpression("NombreTipoCuenta [Texto] Group By Orden"));
        tk_Grid.MasterTableView.GroupByExpressions.Add(new GridGroupByExpression("NombreFormatoBalance [Texto] Group By OrdenFGP"));
        if (cbxNivelCuentas.SelectedValue != "0")
        {
            tk_Grid.MasterTableView.GroupByExpressions.Add(new GridGroupByExpression("NombreFormatoGanaciasPerdidas [Texto] Group By NombreFormatoGanaciasPerdidas"));
        }
        //tk_Grid.ClientSettings.Scrolling.FrozenColumnsCount = 3;
        ViewState["Click"] = "";

    }


    protected void btnActualizar_Click(object sender, EventArgs e)
    {
        ViewState["Click"] = "1";
        Cls_Propiedades.TempMayorizados.Clear();
        SetVariables();


        if (cbxNivelCuentas.SelectedValue != "0")
        {
            foreach (GridColumn col in tk_Grid.Columns)
            {
                if (col.UniqueName == "NombrePlanCuenta" || col.UniqueName == "CodigoPlanCuenta")
                {
                    col.Visible = true;
                }
                if (col.UniqueName == "NombreFormatoGanaciasPerdidas")
                {
                    col.Visible = false;
                }
            }
            _Analitico = true;
            
            //tk_Grid.MasterTableView.GroupByExpressions.Add(new GridGroupByExpression("NombreFormatoGanaciasPerdidas [Texto] Group By OrdenFGP"));
            //tk_Grid.ClientSettings.Scrolling.FrozenColumnsCount = 5;
            tk_Grid.MasterTableView.GroupByExpressions.Clear();

            tk_Grid.MasterTableView.GroupByExpressions.Add(new GridGroupByExpression("NombreTipoCuenta [Texto] Group By Orden"));
            tk_Grid.MasterTableView.GroupByExpressions.Add(new GridGroupByExpression("NombreFormatoBalance [Texto] Group By NombreFormatoBalance"));
            //tk_Grid.MasterTableView.GroupByExpressions.Add(new GridGroupByExpression("NombreFormatoGanaciasPerdidas [Texto] Group By NombreFormatoGanaciasPerdidas"));
            //tk_Grid.MasterTableView.GroupByExpressions.Add(new GridGroupByExpression("NombreFormatoGanaciasPerdidas [Texto] Group By NombreFormatoGanaciasPerdidas"));
            //tk_Grid.ClientSettings.Scrolling.FrozenColumnsCount = 3;
        }
        else
        {
            foreach (GridColumn col in tk_Grid.Columns)
            {
                if (col.UniqueName == "NombrePlanCuenta" || col.UniqueName == "CodigoPlanCuenta")
                {
                    col.Visible = false;
                }
                if (col.UniqueName == "NombreFormatoGanaciasPerdidas")
                {
                    col.Visible = true;
                }
            }
            _Analitico = false;
            tk_Grid.MasterTableView.GroupByExpressions.Clear();
            //tk_Grid.MasterTableView.GroupByExpressions.Add(new GridGroupByExpression("Orden [Texto] Group By Orden"));
            tk_Grid.MasterTableView.GroupByExpressions.Add(new GridGroupByExpression("NombreTipoCuenta [Texto] Group By Orden"));
            tk_Grid.MasterTableView.GroupByExpressions.Add(new GridGroupByExpression("NombreFormatoBalance [Texto] Group By NombreFormatoBalance"));
            //tk_Grid.ClientSettings.Scrolling.FrozenColumnsCount = 3;
        }        
        
        
        tk_Grid.Rebind();
        
    }

    private void SetVariables()
    {
        ViewState["BalanceAcumulado"] = cbxAcumulado.SelectedValue;
        ViewState["TipoFormatoGGPPID"] = cbxTipoFormatoGGPP.SelectedValue;
        ViewState["NombreTipoFormato"] = cbxTipoFormatoGGPP.Text;
        Session["TipoCuentaID"] = cbxTipoCuenta.SelectedValue;
        ViewState["MonedaID"] = cbxMoneda.SelectedValue;
        ViewState["NivelCuentaID"] = cbxNivelCuentas.SelectedValue.Trim();
    }

    Int32 _CurrGroup;
    String _FormatoGananciaPerdidaID;
    String _FormatoBalanceID;
    String _TipoCuentaID;

    String currUrl;
    String GroupHeaderText;
    String SubGroupHeaderText;
    Int32 GroupCount=0;
    protected void tk_Grid_ItemDataBound(object sender, GridItemEventArgs e)
    {
        String FormatoReporte = "";
        if(Request.QueryString["PPGG"].ToString() == "01"){
            FormatoReporte = "0";
        }
        else if (Request.QueryString["PPGG"].ToString() == "02")
        {
            FormatoReporte = "2";
        }
        if (e.Item is GridHeaderItem) 
        {
            GridHeaderItem headerItem = (GridHeaderItem)e.Item;
            
            //headerItem["NombrePlanCuenta"].Visible = false;

            HyperLink hh0 = new HyperLink();
            currUrl = "frmEEFFMensual.aspx?Mes=0&HTL=" + ViewState["HotelID"] + "&ARA=" + ViewState["AreaID"] + "&UNG=" + ViewState["UnidadNegocioID"] + "&NVL=" + ViewState["NivelCuentaID"] + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&NTF=" + ViewState["NombreTipoFormato"].ToString().Trim() + "&FORMATOREPORTE=" + FormatoReporte;
            hh0.NavigateUrl = "#";
            hh0.Text = "Apertura";
            hh0.CssClass = "gridtext";
            hh0.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','EEFFMensual');");
            headerItem["Apertura"].Controls.Add(hh0);
            headerItem["Apertura"].Width = 50;
            if (Request.QueryString["PPGG"] != "01")
            {
                headerItem["Apertura"].Text = "";
                headerItem["Apertura"].Width = 0;
            }
            

            HyperLink hh13 = new HyperLink();
            currUrl = "frmEEFFMensual.aspx?Mes=13&HTL=" + ViewState["HotelID"] + "&ARA=" + ViewState["AreaID"] + "&UNG=" + ViewState["UnidadNegocioID"] + "&NVL=" + ViewState["NivelCuentaID"] + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&NTF=" + ViewState["NombreTipoFormato"].ToString().Trim() + "&FORMATOREPORTE=" + FormatoReporte;
            hh13.NavigateUrl = "#";
            String NombreColumna = "";
            if(Request.QueryString["PPGG"] == "01"){
                NombreColumna = "Total";
            }
            else
            {
                NombreColumna = "Total";
            }
            hh13.Text = NombreColumna;
            hh13.CssClass = "gridtext";
            hh13.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','EEFFMensual');");
            headerItem["Cierre"].Controls.Add(hh13);

            HyperLink hh1 = new HyperLink();
            currUrl = "frmEEFFMensual.aspx?Mes=1&HTL=" + ViewState["HotelID"] + "&ARA=" + ViewState["AreaID"] + "&UNG=" + ViewState["UnidadNegocioID"] + "&NVL=" + ViewState["NivelCuentaID"] + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&NTF=" + ViewState["NombreTipoFormato"].ToString().Trim() + "&FORMATOREPORTE=" + FormatoReporte;
            hh1.NavigateUrl = "#";
            hh1.Text = "Enero";
            hh1.CssClass = "gridtext";
            hh1.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','EEFFMensual');");
            headerItem["Enero"].Controls.Add(hh1);

            HyperLink hh2 = new HyperLink();
            currUrl = "frmEEFFMensual.aspx?Mes=2&HTL=" + ViewState["HotelID"] + "&ARA=" + ViewState["AreaID"] + "&UNG=" + ViewState["UnidadNegocioID"] + "&NVL=" + ViewState["NivelCuentaID"] + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&NTF=" + ViewState["NombreTipoFormato"].ToString().Trim() + "&FORMATOREPORTE=" + FormatoReporte;
            hh2.NavigateUrl = "#";
            hh2.Text = "Febrero";
            hh2.CssClass = "gridtext";
            hh2.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','EEFFMensual');");
            headerItem["Febrero"].Controls.Add(hh2);

            HyperLink hh3 = new HyperLink();
            currUrl = "frmEEFFMensual.aspx?Mes=3&HTL=" + ViewState["HotelID"] + "&ARA=" + ViewState["AreaID"] + "&UNG=" + ViewState["UnidadNegocioID"] + "&NVL=" + ViewState["NivelCuentaID"] + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&NTF=" + ViewState["NombreTipoFormato"].ToString().Trim() + "&FORMATOREPORTE=" + FormatoReporte;
            hh3.NavigateUrl = "#";
            hh3.Text = "Marzo";
            hh3.CssClass = "gridtext";
            hh3.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','EEFFMensual');");
            headerItem["Marzo"].Controls.Add(hh3);

            HyperLink hh4 = new HyperLink();
            currUrl = "frmEEFFMensual.aspx?Mes=4&HTL=" + ViewState["HotelID"] + "&ARA=" + ViewState["AreaID"] + "&UNG=" + ViewState["UnidadNegocioID"] + "&NVL=" + ViewState["NivelCuentaID"] + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&NTF=" + ViewState["NombreTipoFormato"].ToString().Trim() + "&FORMATOREPORTE=" + FormatoReporte;
            hh4.NavigateUrl = "#";
            hh4.Text = "Abril";
            hh4.CssClass = "gridtext";
            hh4.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','EEFFMensual');");
            headerItem["Abril"].Controls.Add(hh4);

            HyperLink hh5 = new HyperLink();
            currUrl = "frmEEFFMensual.aspx?Mes=5&HTL=" + ViewState["HotelID"] + "&ARA=" + ViewState["AreaID"] + "&UNG=" + ViewState["UnidadNegocioID"] + "&NVL=" + ViewState["NivelCuentaID"] + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&NTF=" + ViewState["NombreTipoFormato"].ToString().Trim() + "&FORMATOREPORTE=" + FormatoReporte;
            hh5.NavigateUrl = "#";
            hh5.Text = "Mayo";
            hh5.CssClass = "gridtext";
            hh5.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','EEFFMensual');");
            headerItem["Mayo"].Controls.Add(hh5);

            HyperLink hh6 = new HyperLink();
            currUrl = "frmEEFFMensual.aspx?Mes=6&HTL=" + ViewState["HotelID"] + "&ARA=" + ViewState["AreaID"] + "&UNG=" + ViewState["UnidadNegocioID"] + "&NVL=" + ViewState["NivelCuentaID"] + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&NTF=" + ViewState["NombreTipoFormato"].ToString().Trim() + "&FORMATOREPORTE=" + FormatoReporte;
            hh6.NavigateUrl = "#";
            hh6.Text = "Junio";
            hh6.CssClass = "gridtext";
            hh6.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','EEFFMensual');");
            headerItem["Junio"].Controls.Add(hh6);

            HyperLink hh7 = new HyperLink();
            currUrl = "frmEEFFMensual.aspx?Mes=7&HTL=" + ViewState["HotelID"] + "&ARA=" + ViewState["AreaID"] + "&UNG=" + ViewState["UnidadNegocioID"] + "&NVL=" + ViewState["NivelCuentaID"] + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&NTF=" + ViewState["NombreTipoFormato"].ToString().Trim() + "&FORMATOREPORTE=" + FormatoReporte;
            hh7.NavigateUrl = "#";
            hh7.Text = "Julio";
            hh7.CssClass = "gridtext";
            hh7.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','EEFFMensual');");
            headerItem["Julio"].Controls.Add(hh7);

            HyperLink hh8 = new HyperLink();
            currUrl = "frmEEFFMensual.aspx?Mes=8&HTL=" + ViewState["HotelID"] + "&ARA=" + ViewState["AreaID"] + "&UNG=" + ViewState["UnidadNegocioID"] + "&NVL=" + ViewState["NivelCuentaID"] + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&NTF=" + ViewState["NombreTipoFormato"].ToString().Trim() + "&FORMATOREPORTE=" + FormatoReporte;
            hh8.NavigateUrl = "#";
            hh8.Text = "Agosto";
            hh8.CssClass = "gridtext";
            hh8.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','EEFFMensual');");
            headerItem["Agosto"].Controls.Add(hh8);

            HyperLink hh9 = new HyperLink();
            currUrl = "frmEEFFMensual.aspx?Mes=9&HTL=" + ViewState["HotelID"] + "&ARA=" + ViewState["AreaID"] + "&UNG=" + ViewState["UnidadNegocioID"] + "&NVL=" + ViewState["NivelCuentaID"] + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&NTF=" + ViewState["NombreTipoFormato"].ToString().Trim() + "&FORMATOREPORTE=" + FormatoReporte;
            hh9.NavigateUrl = "#";
            hh9.Text = "Septiembre";
            hh9.CssClass = "gridtext";
            hh9.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','EEFFMensual');");
            headerItem["Septiembre"].Controls.Add(hh9);

            HyperLink hh10 = new HyperLink();
            currUrl = "frmEEFFMensual.aspx?Mes=10&HTL=" + ViewState["HotelID"] + "&ARA=" + ViewState["AreaID"] + "&UNG=" + ViewState["UnidadNegocioID"] + "&NVL=" + ViewState["NivelCuentaID"] + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&NTF=" + ViewState["NombreTipoFormato"].ToString().Trim() + "&FORMATOREPORTE=" + FormatoReporte;
            hh10.NavigateUrl = "#";
            hh10.Text = "Octubre";
            hh10.CssClass = "gridtext";
            hh10.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','EEFFMensual');");
            headerItem["Octubre"].Controls.Add(hh10);

            HyperLink hh11 = new HyperLink();
            currUrl = "frmEEFFMensual.aspx?Mes=11&HTL=" + ViewState["HotelID"] + "&ARA=" + ViewState["AreaID"] + "&UNG=" + ViewState["UnidadNegocioID"] + "&NVL=" + ViewState["NivelCuentaID"] + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&NTF=" + ViewState["NombreTipoFormato"].ToString().Trim() + "&FORMATOREPORTE=" + FormatoReporte;
            hh11.NavigateUrl = "#";
            hh11.Text = "Noviembre";
            hh11.CssClass = "gridtext";
            hh11.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','EEFFMensual');");
            headerItem["Noviembre"].Controls.Add(hh11);

            HyperLink hh12 = new HyperLink();
            currUrl = "frmEEFFMensual.aspx?Mes=12&HTL=" + ViewState["HotelID"] + "&ARA=" + ViewState["AreaID"] + "&UNG=" + ViewState["UnidadNegocioID"] + "&NVL=" + ViewState["NivelCuentaID"] + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&NTF=" + ViewState["NombreTipoFormato"].ToString().Trim() + "&FORMATOREPORTE=" + FormatoReporte;
            hh12.NavigateUrl = "#";
            hh12.Text = "Diciembre";
            hh12.CssClass = "gridtext";
            hh12.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','EEFFMensual');");
            headerItem["Diciembre"].Controls.Add(hh12);

        }
        
        if (e.Item is GridGroupHeaderItem)
        {
            GridGroupHeaderItem item = (GridGroupHeaderItem)e.Item;
            Label groupCaption = new Label();
            System.Data.DataRowView groupDataRow = (System.Data.DataRowView)e.Item.DataItem;
            groupCaption.Text = item.DataCell.Text.Substring(7, item.DataCell.Text.Length - 7);
            groupCaption.CssClass = "gridtextbold";
            item.DataCell.Controls.Clear();
            item.DataCell.Controls.Add(groupCaption);


            if (item.GroupIndex.Length == 1)
            {
                GroupHeaderText = item.DataCell.Text.Substring(item.DataCell.Text.IndexOf(':') + 1);
            }
            else
            {
                SubGroupHeaderText = item.DataCell.Text.Substring(item.DataCell.Text.IndexOf(':') + 1);
            }
        }

        if (e.Item is GridDataItem)
        {
            GridDataItem dataItem = (GridDataItem)e.Item;

            dataItem.ToolTip = dataItem["NombreFormatoGanaciasPerdidas"].Text.ToString();  
            Int32 colWidth = 50;  
            if (dataItem["NombreFormatoGanaciasPerdidas"].Text.ToString().Length > (colWidth - 2))
            {
                dataItem["NombreFormatoGanaciasPerdidas"].Text = dataItem["NombreFormatoGanaciasPerdidas"].Text.ToString().Substring(0, colWidth - 2) + "..";
            }
            colWidth = 50;
            if (dataItem["NombrePlanCuenta"].Text.ToString().Length > (colWidth - 2))
            {
                dataItem["NombrePlanCuenta"].Text = dataItem["NombrePlanCuenta"].Text.ToString().Substring(0, colWidth - 1) + "..";
            }

            _FormatoGananciaPerdidaID = dataItem["FormatoGananciaPerdidaID"].Text.Trim();
            _FormatoBalanceID = dataItem["FormatoBalanceID"].Text.Trim();
            _TipoCuentaID = dataItem["TipoCuentaID"].Text.Trim();

            HyperLink h0 = new HyperLink();
            if (_Analitico == false)
            {
                currUrl = "frmAnexoBalance.aspx?MES=0&TCTAID=0&FGPID=" + dataItem["FormatoGananciaPerdidaID"].Text.Trim() + "&FBID=0" + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim();
            }
            else
            {
                currUrl = "frmAnalisisPorCuenta.aspx?Mes=0&SUD=0&FED=&FEH=&CTAID2=&CTAID=" + dataItem["CodigoPlanCuenta"].Text.Trim() + "&HTL=" + ViewState["HotelID"] + "&ARA=" + ViewState["AreaID"] + "&UNG=" + ViewState["UnidadNegocioID"] + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim();
                //currUrl = "frmAnalisisPorCuenta.aspx?Mes=" + ViewState["Mes"].ToString().Trim() + "&FED=&FEH=&CTAID2=&CTAID=" + dataItem["CodigoPlanCuenta"].Text.Trim() + "&HTL=" + ViewState["HotelID"] + "&ARA=" + ViewState["AreaID"] + "&UNG=" + ViewState["UnidadNegocioID"];
            }
            h0.NavigateUrl = "#";
            if (double.Parse(dataItem["Apertura"].Text) == 0) dataItem["Apertura"].Text = "";
            h0.Text = dataItem["Apertura"].Text;
            h0.CssClass = "gridtext";
            h0.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','SGH Perú');");
            dataItem["Apertura"].Controls.Add(h0);

            HyperLink h13 = new HyperLink();
            if (_Analitico == false)
            {
                currUrl = "frmAnexoBalance.aspx?MES=13&TCTAID=0&FGPID=" + dataItem["FormatoGananciaPerdidaID"].Text.Trim() + "&FBID=0" + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim();
            }
            else
            {
                currUrl = "frmAnalisisPorCuenta.aspx?MES=13&SUD=0&FED=&FEH=&CTAID2=&CTAID=" + dataItem["CodigoPlanCuenta"].Text.Trim() + "&HTL=" + ViewState["HotelID"] + "&ARA=" + ViewState["AreaID"] + "&UNG=" + ViewState["UnidadNegocioID"] + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim();
            }
            h13.NavigateUrl = "#";
            if (double.Parse(dataItem["Cierre"].Text) == 0) dataItem["Cierre"].Text = "";
            h13.Text = dataItem["Cierre"].Text;
            h13.CssClass = "gridtext";
            h13.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','SGH Perú');");
            dataItem["Cierre"].Controls.Add(h13);

            HyperLink h1 = new HyperLink();
            if (_Analitico == false)
            {
                currUrl = "frmAnexoBalance.aspx?MES=1&TCTAID=0&FGPID=" + dataItem["FormatoGananciaPerdidaID"].Text.Trim() + "&FBID=0" + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim();
            }
            else
            {
                currUrl = "frmAnalisisPorCuenta.aspx?MES=1&FED=" + ViewState["FecDesde"] + "&FEH=" + ViewState["FecHasta"] + "&CTAID2=&CTAID=" + dataItem["CodigoPlanCuenta"].Text.Trim() + "&HTL=" + ViewState["HotelID"] + "&ARA=" + ViewState["AreaID"] + "&UNG=" + ViewState["UnidadNegocioID"] + "&SUD=0" + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim();
            }
            h1.NavigateUrl = "#";
            if (double.Parse(dataItem["Enero"].Text) == 0) dataItem["Enero"].Text = "";
            h1.Text = dataItem["Enero"].Text;
            h1.CssClass = "gridtext";
            h1.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','SGH Perú');");
            dataItem["Enero"].Controls.Add(h1);

            HyperLink h2 = new HyperLink();
            if (_Analitico == false)
            {
                currUrl = "frmAnexoBalance.aspx?MES=2&TCTAID=0&FGPID=" + dataItem["FormatoGananciaPerdidaID"].Text.Trim() + "&FBID=0" + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim();
            }
            else
            {
                currUrl = "frmAnalisisPorCuenta.aspx?MES=2&FED=" + ViewState["FecDesde"] + "&FEH=" + ViewState["FecHasta"] + "&CTAID2=&CTAID=" + dataItem["CodigoPlanCuenta"].Text.Trim() + "&HTL=" + ViewState["HotelID"] + "&ARA=" + ViewState["AreaID"] + "&UNG=" + ViewState["UnidadNegocioID"] + "&SUD=0" + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim();
            }
            h2.NavigateUrl = "#";
            if (double.Parse(dataItem["Febrero"].Text) == 0) dataItem["Febrero"].Text = "";
            h2.Text = dataItem["Febrero"].Text;
            h2.CssClass = "gridtext";
            h2.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','SGH Perú');");
            dataItem["Febrero"].Controls.Add(h2);

            HyperLink h3 = new HyperLink();
            if (_Analitico == false)
            {
                currUrl = "frmAnexoBalance.aspx?MES=3&TCTAID=0&FGPID=" + dataItem["FormatoGananciaPerdidaID"].Text.Trim() + "&FBID=0" + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim();
            }
            else
            {
                currUrl = "frmAnalisisPorCuenta.aspx?MES=3&FED=" + ViewState["FecDesde"] + "&FEH=" + ViewState["FecHasta"] + "&CTAID2=&CTAID=" + dataItem["CodigoPlanCuenta"].Text.Trim() + "&HTL=" + ViewState["HotelID"] + "&ARA=" + ViewState["AreaID"] + "&UNG=" + ViewState["UnidadNegocioID"] + "&SUD=0" + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim();
            }
            h3.NavigateUrl = "#";
            if (double.Parse(dataItem["Marzo"].Text) == 0) dataItem["Marzo"].Text = "";
            h3.Text = dataItem["Marzo"].Text;
            h3.CssClass = "gridtext";
            h3.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','SGH Perú');");
            dataItem["Marzo"].Controls.Add(h3);

            HyperLink h4 = new HyperLink();
            if (_Analitico == false)
            {
                currUrl = "frmAnexoBalance.aspx?MES=4&TCTAID=0&FGPID=" + dataItem["FormatoGananciaPerdidaID"].Text.Trim() + "&FBID=0" + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim();
            }
            else
            {
                currUrl = "frmAnalisisPorCuenta.aspx?MES=4&FED=" + ViewState["FecDesde"] + "&FEH=" + ViewState["FecHasta"] + "&CTAID2=&CTAID=" + dataItem["CodigoPlanCuenta"].Text.Trim() + "&HTL=" + ViewState["HotelID"] + "&ARA=" + ViewState["AreaID"] + "&UNG=" + ViewState["UnidadNegocioID"] + "&SUD=0" + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim();
            }
            h4.NavigateUrl = "#";
            if (double.Parse(dataItem["Abril"].Text) == 0) dataItem["Abril"].Text = "";
            h4.Text = dataItem["Abril"].Text;
            h4.CssClass = "gridtext";
            h4.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','SGH Perú');");
            dataItem["Abril"].Controls.Add(h4);

            HyperLink h5 = new HyperLink();
            if (_Analitico == false)
            {
                currUrl = "frmAnexoBalance.aspx?MES=5&TCTAID=0&FGPID=" + dataItem["FormatoGananciaPerdidaID"].Text.Trim() + "&FBID=0" + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim();
            }
            else
            {
                currUrl = "frmAnalisisPorCuenta.aspx?MES=5&FED=" + ViewState["FecDesde"] + "&FEH=" + ViewState["FecHasta"] + "&CTAID2=&CTAID=" + dataItem["CodigoPlanCuenta"].Text.Trim() + "&HTL=" + ViewState["HotelID"] + "&ARA=" + ViewState["AreaID"] + "&UNG=" + ViewState["UnidadNegocioID"] + "&SUD=0" + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim();
            }
            h5.NavigateUrl = "#";
            if (double.Parse(dataItem["Mayo"].Text) == 0) dataItem["Mayo"].Text = "";
            h5.Text = dataItem["Mayo"].Text;
            h5.CssClass = "gridtext";
            h5.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','SGH Perú');");
            dataItem["Mayo"].Controls.Add(h5);

            HyperLink h6 = new HyperLink();
            if (_Analitico == false)
            {
                currUrl = "frmAnexoBalance.aspx?MES=6&TCTAID=0&FGPID=" + dataItem["FormatoGananciaPerdidaID"].Text.Trim() + "&FBID=0" + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim();
            }
            else
            {
                currUrl = "frmAnalisisPorCuenta.aspx?MES=6&FED=" + ViewState["FecDesde"] + "&FEH=" + ViewState["FecHasta"] + "&CTAID2=&CTAID=" + dataItem["CodigoPlanCuenta"].Text.Trim() + "&HTL=" + ViewState["HotelID"] + "&ARA=" + ViewState["AreaID"] + "&UNG=" + ViewState["UnidadNegocioID"] + "&SUD=0" + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim();
            }
            h6.NavigateUrl = "#";
            if (double.Parse(dataItem["Junio"].Text) == 0) dataItem["Junio"].Text = "";
            h6.Text = dataItem["Junio"].Text;
            h6.CssClass = "gridtext";
            h6.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','SGH Perú');");
            dataItem["Junio"].Controls.Add(h6);

            HyperLink h7 = new HyperLink();
            if (_Analitico == false)
            {
                currUrl = "frmAnexoBalance.aspx?MES=7&TCTAID=0&FGPID=" + dataItem["FormatoGananciaPerdidaID"].Text.Trim() + "&FBID=0" + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim();
            }
            else
            {
                currUrl = "frmAnalisisPorCuenta.aspx?MES=7&FED=" + ViewState["FecDesde"] + "&FEH=" + ViewState["FecHasta"] + "&CTAID2=&CTAID=" + dataItem["CodigoPlanCuenta"].Text.Trim() + "&HTL=" + ViewState["HotelID"] + "&ARA=" + ViewState["AreaID"] + "&UNG=" + ViewState["UnidadNegocioID"] + "&SUD=0" + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim();
            }
            h7.NavigateUrl = "#";
            if (double.Parse(dataItem["Julio"].Text) == 0) dataItem["Julio"].Text = "";
            h7.Text = dataItem["Julio"].Text;
            h7.CssClass = "gridtext";
            h7.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','SGH Perú');");
            dataItem["Julio"].Controls.Add(h7);

            HyperLink h8 = new HyperLink();
            if (_Analitico == false)
            {
                currUrl = "frmAnexoBalance.aspx?MES=8&TCTAID=0&FGPID=" + dataItem["FormatoGananciaPerdidaID"].Text.Trim() + "&FBID=0" + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim();
            }
            else
            {
                currUrl = "frmAnalisisPorCuenta.aspx?MES=8&FED=" + ViewState["FecDesde"] + "&FEH=" + ViewState["FecHasta"] + "&CTAID2=&CTAID=" + dataItem["CodigoPlanCuenta"].Text.Trim() + "&HTL=" + ViewState["HotelID"] + "&ARA=" + ViewState["AreaID"] + "&UNG=" + ViewState["UnidadNegocioID"] + "&SUD=0" + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim();
            }
            h8.NavigateUrl = "#";
            if (double.Parse(dataItem["Agosto"].Text) == 0) dataItem["Agosto"].Text = "";
            h8.Text = dataItem["Agosto"].Text;
            h8.CssClass = "gridtext";
            h8.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','SGH Perú');");
            dataItem["Agosto"].Controls.Add(h8);

            HyperLink h9 = new HyperLink();
            if (_Analitico == false)
            {
                currUrl = "frmAnexoBalance.aspx?MES=9&TCTAID=0&FGPID=" + dataItem["FormatoGananciaPerdidaID"].Text.Trim() + "&FBID=0" + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim();
            }
            else
            {
                currUrl = "frmAnalisisPorCuenta.aspx?MES=9&FED=" + ViewState["FecDesde"] + "&FEH=" + ViewState["FecHasta"] + "&CTAID2=&CTAID=" + dataItem["CodigoPlanCuenta"].Text.Trim() + "&HTL=" + ViewState["HotelID"] + "&ARA=" + ViewState["AreaID"] + "&UNG=" + ViewState["UnidadNegocioID"] + "&SUD=0" + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim();
            }
            h9.NavigateUrl = "#";
            if (double.Parse(dataItem["Septiembre"].Text) == 0) dataItem["Septiembre"].Text = "";
            h9.Text = dataItem["Septiembre"].Text;
            h9.CssClass = "gridtext";
            h9.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','SGH Perú');");
            dataItem["Septiembre"].Controls.Add(h9);

            HyperLink h10 = new HyperLink();
            if (_Analitico == false)
            {
                currUrl = "frmAnexoBalance.aspx?MES=10&TCTAID=0&FGPID=" + dataItem["FormatoGananciaPerdidaID"].Text.Trim() + "&FBID=0" + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim();
            }
            else
            {
                //currUrl = "frmAnalisisPorCuenta.aspx?MES=10&CTAID=" + dataItem["CodigoPlanCuenta"].Text.Trim() + "&HTL=" + ViewState["HotelID"] + "&ARA=" + ViewState["AreaID"] + "&UNG=" + ViewState["UnidadNegocioID"] ;
                currUrl = "frmAnalisisPorCuenta.aspx?Mes=10&FED=" + ViewState["FecDesde"] + "&FEH=" + ViewState["FecHasta"] + "&CTAID2=&CTAID=" + dataItem["CodigoPlanCuenta"].Text.Trim() + "&HTL=" + ViewState["HotelID"] + "&ARA=" + ViewState["AreaID"] + "&UNG=" + ViewState["UnidadNegocioID"] + "&SUD=0" + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim();
            }
            
            h10.NavigateUrl = "#";
            if (double.Parse(dataItem["Octubre"].Text) == 0) dataItem["Octubre"].Text = "";
            h10.Text = dataItem["Octubre"].Text;
            h10.CssClass = "gridtext";
            h10.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','SGH Perú');");
            dataItem["Octubre"].Controls.Add(h10);

            HyperLink h11 = new HyperLink();
            if (_Analitico == false)
            {
                currUrl = "frmAnexoBalance.aspx?MES=11&TCTAID=0&FGPID=" + dataItem["FormatoGananciaPerdidaID"].Text.Trim() + "&FBID=0" + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim();
            }
            else
            {
                currUrl = "frmAnalisisPorCuenta.aspx?MES=11&FED=" + ViewState["FecDesde"] + "&FEH=" + ViewState["FecHasta"] + "&CTAID2=&CTAID=" + dataItem["CodigoPlanCuenta"].Text.Trim() + "&HTL=" + ViewState["HotelID"] + "&ARA=" + ViewState["AreaID"] + "&UNG=" + ViewState["UnidadNegocioID"] + "&SUD=0" + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim();
            }
            h11.NavigateUrl = "#";
            if (double.Parse(dataItem["Noviembre"].Text) == 0) dataItem["Noviembre"].Text = "";
            h11.Text = dataItem["Noviembre"].Text;
            h11.CssClass = "gridtext";
            h11.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','SGH Perú');");
            dataItem["Noviembre"].Controls.Add(h11);

            HyperLink h12 = new HyperLink();
            if (_Analitico == false)
            {
                currUrl = "frmAnexoBalance.aspx?MES=12&TCTAID=0&FGPID=" + dataItem["FormatoGananciaPerdidaID"].Text.Trim() + "&FBID=0" + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim();
            }
            else
            {
                currUrl = "frmAnalisisPorCuenta.aspx?MES=12&FED=" + ViewState["FecDesde"] + "&FEH=" + ViewState["FecHasta"] + "&CTAID2=&CTAID=" + dataItem["CodigoPlanCuenta"].Text.Trim() + "&HTL=" + ViewState["HotelID"] + "&ARA=" + ViewState["AreaID"] + "&UNG=" + ViewState["UnidadNegocioID"] + "&SUD=0" + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim();
            }
            h12.NavigateUrl = "#";
            if (double.Parse(dataItem["Diciembre"].Text) == 0) dataItem["Diciembre"].Text = "";
            h12.Text = dataItem["Diciembre"].Text;
            h12.CssClass = "gridtext";
            h12.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','SGH Perú');");
            dataItem["Diciembre"].Controls.Add(h12);
            
        }
        
        else if (e.Item is GridGroupFooterItem)
        {

            GridGroupFooterItem gridfooteritem = e.Item as GridGroupFooterItem;
            gridfooteritem["Octubre"].Style["Color"] = "#00FF00";

            string strtxt = gridfooteritem["NombreFormatoGanaciasPerdidas"].Text.Substring(gridfooteritem["NombreFormatoGanaciasPerdidas"].Text.IndexOf(':') + 1);
            

            if (gridfooteritem.GroupIndex.Length == 1)
            {
                if (SubGroupHeaderText != null) gridfooteritem["NombreFormatoGanaciasPerdidas"].Text = "Total " + GroupHeaderText + ":" + strtxt;
                gridfooteritem["NombreFormatoGanaciasPerdidas"].Style["color"] = "#000000";
            }
            else
            {
                if (SubGroupHeaderText != null) gridfooteritem["NombreFormatoGanaciasPerdidas"].Text = "SubTotal " + SubGroupHeaderText + ":" + strtxt;
                gridfooteritem["NombreFormatoGanaciasPerdidas"].Style["color"] = "#00156E";
                if (MostrarSubTotales() == 1)
                {
                    gridfooteritem.Visible = true;
                }
                else
                {
                    gridfooteritem.Visible = false;
                }
                
            }
                      
            gridfooteritem["NombreFormatoGanaciasPerdidas"].Style["font-style"] = "italic";
            gridfooteritem["NombreFormatoGanaciasPerdidas"].Style["text-align"] = "right";

            HyperLink hg0 = new HyperLink();
            currUrl = "frmAnexoBalance.aspx?Mes=0&GPID=0&FBID=" + _FormatoBalanceID + "&TCTAID=" + _TipoCuentaID + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&FGPID=0";
            hg0.NavigateUrl = "#";
            if (double.Parse(gridfooteritem["Apertura"].Text) == 0) gridfooteritem["Apertura"].Text = "";
            hg0.Text = gridfooteritem["Apertura"].Text.Trim();            
            hg0.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','FormatoBalance2');");
            //gridfooteritem["Apertura"].Style["background-color"] = "#F0EEE9";
            gridfooteritem["Apertura"].CssClass = "gridtextbold";
            gridfooteritem["Apertura"].Controls.Add(hg0);

            gridfooteritem["Apertura"].Style["border-top"] = "1px solid black";
            gridfooteritem["Cierre"].Style["border-top"] = "1px solid black";
            gridfooteritem["Enero"].Style["border-top"] = "1px solid black";
            gridfooteritem["Febrero"].Style["border-top"] = "1px solid black";
            gridfooteritem["Marzo"].Style["border-top"] = "1px solid black";
            gridfooteritem["Abril"].Style["border-top"] = "1px solid black";
            gridfooteritem["Mayo"].Style["border-top"] = "1px solid black";
            gridfooteritem["Junio"].Style["border-top"] = "1px solid black";
            gridfooteritem["Julio"].Style["border-top"] = "1px solid black";
            gridfooteritem["Agosto"].Style["border-top"] = "1px solid black";
            gridfooteritem["Septiembre"].Style["border-top"] = "1px solid black";
            gridfooteritem["Octubre"].Style["border-top"] = "1px solid black";
            gridfooteritem["Noviembre"].Style["border-top"] = "1px solid black";
            gridfooteritem["Diciembre"].Style["border-top"] = "solid 1px black";

            HyperLink hg13 = new HyperLink();
            currUrl = "frmAnexoBalance.aspx?Mes=13&GPID=0&FBID=" + _FormatoBalanceID + "&TCTAID=" + _TipoCuentaID + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&FGPID=0";
            hg13.NavigateUrl = "#";
            if (double.Parse(gridfooteritem["Cierre"].Text) == 0) gridfooteritem["Cierre"].Text = "";
            else hg13.Text = String.Format("{0:0,0.00}", Convert.ToDecimal(gridfooteritem["Cierre"].Text.Trim()));
            hg13.CssClass = "gridtext";
            hg13.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','FormatoBalance2');");
            gridfooteritem["Cierre"].CssClass = "gridtextbold";
            gridfooteritem["Cierre"].Controls.Add(hg13);

            HyperLink hg1 = new HyperLink();
            if (gridfooteritem.GroupIndex.Length == 1)
            {
                currUrl = "frmAnexoBalance.aspx?Mes=1&GPID=0&FBID=0&TCTAID=" + _TipoCuentaID + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&FGPID=0";
            }
            else
            {
                currUrl = "frmAnexoBalance.aspx?Mes=1&GPID=0&FBID=" + _FormatoBalanceID + "&TCTAID=" + _TipoCuentaID + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&FGPID=0";
            }
            hg1.NavigateUrl = "#";
            if (double.Parse(gridfooteritem["Enero"].Text) == 0) gridfooteritem["Enero"].Text = "";
            else hg1.Text = String.Format("{0:0,0.00}", Convert.ToDecimal(gridfooteritem["Enero"].Text));

            hg1.CssClass = "gridtext";
            hg1.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','FormatoBalance2');");
            gridfooteritem["Enero"].CssClass = "gridtextbold";
            gridfooteritem["Enero"].Controls.Add(hg1);

            HyperLink hg2 = new HyperLink();
            if (gridfooteritem.GroupIndex.Length == 1)
            {
                currUrl = "frmAnexoBalance.aspx?Mes=2&GPID=0&FBID=0&TCTAID=" + _TipoCuentaID + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&FGPID=0";
            }
            else
            {
                currUrl = "frmAnexoBalance.aspx?Mes=2&GPID=0&FBID=" + _FormatoBalanceID + "&TCTAID=" + _TipoCuentaID + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&FGPID=0";
            }
            hg2.NavigateUrl = "#";
            if (double.Parse(gridfooteritem["Febrero"].Text) == 0) gridfooteritem["Febrero"].Text = "";
            else hg2.Text = String.Format("{0:0,0.00}", Convert.ToDecimal(gridfooteritem["Febrero"].Text.Trim()));
            hg2.CssClass = "gridtext";
            hg2.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','FormatoBalance2');");
            gridfooteritem["Febrero"].CssClass = "gridtextbold";
            gridfooteritem["Febrero"].Controls.Add(hg2);

            HyperLink hg3 = new HyperLink();
            if (gridfooteritem.GroupIndex.Length == 1)
            {
                currUrl = "frmAnexoBalance.aspx?Mes=3&GPID=0&FBID=0&TCTAID=" + _TipoCuentaID + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&FGPID=0";
            }
            else
            {
                currUrl = "frmAnexoBalance.aspx?Mes=3&GPID=0&FBID=" + _FormatoBalanceID + "&TCTAID=" + _TipoCuentaID + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&FGPID=0";
            }
            hg3.NavigateUrl = "#";
            if (double.Parse(gridfooteritem["Marzo"].Text) == 0) gridfooteritem["Marzo"].Text = "";
            else hg3.Text = String.Format("{0:0,0.00}", Convert.ToDecimal(gridfooteritem["Marzo"].Text.Trim()));
            hg3.CssClass = "gridtext";
            hg3.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','FormatoBalance2');");
            
            gridfooteritem["Marzo"].CssClass = "gridtextbold";
            gridfooteritem["Marzo"].Controls.Add(hg3);

            HyperLink hg4 = new HyperLink();
            if (gridfooteritem.GroupIndex.Length == 1)
            {
                currUrl = "frmAnexoBalance.aspx?Mes=4&GPID=0&FBID=0&TCTAID=" + _TipoCuentaID + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&FGPID=0";
            }
            else
            {
                currUrl = "frmAnexoBalance.aspx?Mes=4&GPID=0&FBID=" + _FormatoBalanceID + "&TCTAID=" + _TipoCuentaID + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&FGPID=0";
            }
            hg4.NavigateUrl = "#";
            if (double.Parse(gridfooteritem["Abril"].Text) == 0) gridfooteritem["Abril"].Text = "";
            else hg4.Text = String.Format("{0:0,0.00}", Convert.ToDecimal(gridfooteritem["Abril"].Text.Trim()));
            hg4.CssClass = "gridtext";
            hg4.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','FormatoBalance2');");
            
            gridfooteritem["Abril"].CssClass = "gridtextbold";
            gridfooteritem["Abril"].Controls.Add(hg4);

            HyperLink hg5 = new HyperLink();
            if (gridfooteritem.GroupIndex.Length == 1)
            {
                currUrl = "frmAnexoBalance.aspx?Mes=5&GPID=0&FBID=0&TCTAID=" + _TipoCuentaID + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&FGPID=0";
            }
            else
            {
                currUrl = "frmAnexoBalance.aspx?Mes=5&GPID=0&FBID=" + _FormatoBalanceID + "&TCTAID=" + _TipoCuentaID + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&FGPID=0";
            }
            hg5.NavigateUrl = "#";
            if (double.Parse(gridfooteritem["Mayo"].Text) == 0) gridfooteritem["Mayo"].Text = "";
            else hg5.Text = String.Format("{0:0,0.00}", Convert.ToDecimal(gridfooteritem["Mayo"].Text.Trim()));
            hg5.CssClass = "gridtext";
            hg5.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','FormatoBalance2');");
            
            gridfooteritem["Mayo"].CssClass = "gridtextbold";
            gridfooteritem["Mayo"].Controls.Add(hg5);

            HyperLink hg6 = new HyperLink();
            if (gridfooteritem.GroupIndex.Length == 1)
            {
                currUrl = "frmAnexoBalance.aspx?Mes=6&GPID=0&FBID=0&TCTAID=" + _TipoCuentaID + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&FGPID=0";
            }
            else
            {
                currUrl = "frmAnexoBalance.aspx?Mes=6&GPID=0&FBID=" + _FormatoBalanceID + "&TCTAID=" + _TipoCuentaID + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&FGPID=0";
            }
            hg6.NavigateUrl = "#";
            if (double.Parse(gridfooteritem["Junio"].Text) == 0) gridfooteritem["Junio"].Text = "";
            else hg6.Text = String.Format("{0:0,0.00}", Convert.ToDecimal(gridfooteritem["Junio"].Text.Trim()));
            hg6.CssClass = "gridtext";
            hg6.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','FormatoBalance2');");
            
            gridfooteritem["Junio"].CssClass = "gridtextbold";
            gridfooteritem["Junio"].Controls.Add(hg6);

            HyperLink hg7 = new HyperLink();
            if (gridfooteritem.GroupIndex.Length == 1)
            {
                currUrl = "frmAnexoBalance.aspx?Mes=7&GPID=0&FBID=0&TCTAID=" + _TipoCuentaID + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&FGPID=0";
            }
            else
            {
                currUrl = "frmAnexoBalance.aspx?Mes=7&GPID=0&FBID=" + _FormatoBalanceID + "&TCTAID=" + _TipoCuentaID + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&FGPID=0";
            }
            hg7.NavigateUrl = "#";
            if (double.Parse(gridfooteritem["Julio"].Text) == 0) gridfooteritem["Julio"].Text = "";
            else hg7.Text = String.Format("{0:0,0.00}", Convert.ToDecimal(gridfooteritem["Julio"].Text.Trim()));
            hg7.CssClass = "gridtext";
            hg7.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','FormatoBalance2');");
            
            gridfooteritem["Julio"].CssClass = "gridtextbold";
            gridfooteritem["Julio"].Controls.Add(hg7);

            HyperLink hg8 = new HyperLink();
            if (gridfooteritem.GroupIndex.Length == 1)
            {
                currUrl = "frmAnexoBalance.aspx?Mes=8&GPID=0&FBID=0&TCTAID=" + _TipoCuentaID + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&FGPID=0";
            }
            else
            {
                currUrl = "frmAnexoBalance.aspx?Mes=8&GPID=0&FBID=" + _FormatoBalanceID + "&TCTAID=" + _TipoCuentaID + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&FGPID=0";
            }
            hg8.NavigateUrl = "#";
            if (double.Parse(gridfooteritem["Agosto"].Text) == 0) gridfooteritem["Agosto"].Text = "";
            else hg8.Text = String.Format("{0:0,0.00}", Convert.ToDecimal(gridfooteritem["Agosto"].Text.Trim()));
            hg8.CssClass = "gridtext";
            hg8.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','FormatoBalance2');");
            
            gridfooteritem["Agosto"].CssClass = "gridtextbold";
            gridfooteritem["Agosto"].Controls.Add(hg8);

            HyperLink hg9 = new HyperLink();
            if (gridfooteritem.GroupIndex.Length == 1)
            {
                currUrl = "frmAnexoBalance.aspx?Mes=9&GPID=0&FBID=0&TCTAID=" + _TipoCuentaID + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&FGPID=0";
            }
            else
            {
                currUrl = "frmAnexoBalance.aspx?Mes=9&GPID=0&FBID=" + _FormatoBalanceID + "&TCTAID=" + _TipoCuentaID + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&FGPID=0";
            }
            hg9.NavigateUrl = "#";
            if (double.Parse(gridfooteritem["Septiembre"].Text) == 0) gridfooteritem["Septiembre"].Text = "";
            else hg9.Text = String.Format("{0:0,0.00}", Convert.ToDecimal(gridfooteritem["Septiembre"].Text.Trim()));
            hg9.CssClass = "gridtext";
            hg9.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','FormatoBalance2');");
           
            gridfooteritem["Septiembre"].CssClass = "gridtextbold";
            gridfooteritem["Septiembre"].Controls.Add(hg9);

            HyperLink hg10 = new HyperLink();
            if (gridfooteritem.GroupIndex.Length == 1)
            {
                currUrl = "frmAnexoBalance.aspx?Mes=10&GPID=0&FBID=0&TCTAID=" + _TipoCuentaID + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&FGPID=0";
            }
            else
            {
                currUrl = "frmAnexoBalance.aspx?Mes=10&GPID=0&FBID=" + _FormatoBalanceID + "&TCTAID=" + _TipoCuentaID + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&FGPID=0";
            }
            
            hg10.NavigateUrl = "#";
            if (double.Parse(gridfooteritem["Octubre"].Text) == 0) gridfooteritem["Octubre"].Text = "";
            else hg10.Text = String.Format("{0:0,0.00}", Convert.ToDecimal(gridfooteritem["Octubre"].Text.Trim()));
            hg10.CssClass = "gridtext";
            hg10.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','FormatoBalance2');");            
            gridfooteritem["Octubre"].CssClass = "gridtext";
            gridfooteritem["Octubre"].ForeColor = System.Drawing.Color.Black;
            gridfooteritem["Octubre"].Controls.Add(hg10);

            HyperLink hg11 = new HyperLink();
            if (gridfooteritem.GroupIndex.Length == 1)
            {
                currUrl = "frmAnexoBalance.aspx?Mes=11&GPID=0&FBID=0&TCTAID=" + _TipoCuentaID + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&FGPID=0";
            }
            else
            {
                currUrl = "frmAnexoBalance.aspx?Mes=11&GPID=0&FBID=" + _FormatoBalanceID + "&TCTAID=" + _TipoCuentaID + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&FGPID=0";
            }
            hg11.NavigateUrl = "#";
            if (double.Parse(gridfooteritem["Noviembre"].Text) == 0) gridfooteritem["Noviembre"].Text = "";
            else hg11.Text = String.Format("{0:0,0.00}", Convert.ToDecimal(gridfooteritem["Noviembre"].Text.Trim()));
            hg11.CssClass = "gridtext";
            hg11.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','FormatoBalance2');");
            
            gridfooteritem["Noviembre"].CssClass = "gridtextbold";
            gridfooteritem["Noviembre"].Controls.Add(hg11);

            HyperLink hg12 = new HyperLink();
            if (gridfooteritem.GroupIndex.Length == 1)
            {
                currUrl = "frmAnexoBalance.aspx?Mes=12&GPID=0&FBID=0&TCTAID=" + _TipoCuentaID + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&FGPID=0";
            }
            else
            {
                currUrl = "frmAnexoBalance.aspx?Mes=12&GPID=0&FBID=" + _FormatoBalanceID + "&TCTAID=" + _TipoCuentaID + "&HTL=" + ViewState["HotelID"].ToString().Trim() + "&UNG=" + ViewState["UnidadNegocioID"].ToString().Trim() + "&ARA=" + ViewState["AreaID"].ToString().Trim() + "&MON=" + ViewState["MonedaID"].ToString().Trim() + "&ACUM=" + ViewState["BalanceAcumulado"].ToString().Trim() + "&TFGPID=" + ViewState["TipoFormatoGGPPID"].ToString().Trim() + "&FGPID=0";
            }
            hg12.NavigateUrl = "#";
            if (double.Parse(gridfooteritem["Diciembre"].Text) == 0) gridfooteritem["Diciembre"].Text = "";
            else hg12.Text = String.Format("{0:0,0.00}", Convert.ToDecimal(gridfooteritem["Diciembre"].Text.Trim()));
            hg12.CssClass = "gridtext";
            hg12.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','FormatoBalance2');");
            
            gridfooteritem["Diciembre"].CssClass = "gridtextbold";
            gridfooteritem["Diciembre"].Controls.Add(hg12);
                
        }

        else if (e.Item is GridFooterItem)
        {
            GridFooterItem footer = (GridFooterItem)e.Item;

            HyperLink hf0 = new HyperLink();
            currUrl = "frmAnexoBalance.aspx?Periodo=APERTURA&MesID=0&GGPPID=0&FBID=0&TCID=0&Scr=" + ViewState["HotelID"] + "&Area=" + ViewState["AreaID"] + "&Und=" + ViewState["UnidadNegocioID"];
            hf0.NavigateUrl = "#";
            if (footer["Apertura"].Text == "0.00") footer["Apertura"].Text = "";
            hf0.Text = footer["Apertura"].Text.Trim();
            hf0.CssClass = "linkstotal";
            hf0.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','SGH Perú');");
            footer["Apertura"].Controls.Add(hf0);

            HyperLink hf13 = new HyperLink();
            currUrl = "frmAnexoBalance.aspx?Periodo=CIERRE&MesID=13&GGPPID=0&FBID=0&TCID=0&Scr=" + ViewState["HotelID"] + "&Area=" + ViewState["AreaID"] + "&Und=" + ViewState["UnidadNegocioID"];
            hf13.NavigateUrl = "#";
            if (footer["Cierre"].Text == "0.00") footer["Cierre"].Text = "";
            hf13.Text = footer["Cierre"].Text.Trim();
            hf13.CssClass = "linkstotal";
            hf13.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','SGH Perú');");
            footer["Cierre"].Controls.Add(hf13);

            HyperLink hf1 = new HyperLink();
            currUrl = "frmAnexoBalance.aspx?Periodo=ENERO&MesID=1&GGPPID=0&FBID=0&TCID=0&Scr=" + ViewState["HotelID"] + "&Area=" + ViewState["AreaID"] + "&Und=" + ViewState["UnidadNegocioID"];
            hf1.NavigateUrl = "#";
            if (footer["Enero"].Text == "0.00") footer["Enero"].Text = "";
            hf1.Text = footer["Enero"].Text.Trim();
            hf1.CssClass = "linkstotal";
            hf1.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','SGH Perú');");
            footer["Enero"].Controls.Add(hf1);

            HyperLink hf2 = new HyperLink();
            currUrl = "frmAnexoBalance.aspx?Periodo=FEBRERO&MesID=2&GGPPID=0&FBID=0&TCID=0&Scr=" + ViewState["HotelID"] + "&Area=" + ViewState["AreaID"] + "&Und=" + ViewState["UnidadNegocioID"];
            hf2.NavigateUrl = "#";
            if (footer["Febrero"].Text == "0.00") footer["Febrero"].Text = "";
            hf2.Text = footer["Febrero"].Text.Trim();
            hf2.CssClass = "linkstotal";
            hf2.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','SGH Perú');");
            footer["Febrero"].Controls.Add(hf2);

            HyperLink hf3 = new HyperLink();
            currUrl = "frmAnexoBalance.aspx?Periodo=MARZO&MesID=3&GGPPID=0&FBID=0&TCID=0&Scr=" + ViewState["HotelID"] + "&Area=" + ViewState["AreaID"] + "&Und=" + ViewState["UnidadNegocioID"];
            hf3.NavigateUrl = "#";
            if (footer["Marzo"].Text == "0.00") footer["Marzo"].Text = "";
            hf3.Text = footer["Marzo"].Text.Trim();
            hf3.CssClass = "linkstotal";
            hf3.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','SGH Perú');");
            footer["Marzo"].Controls.Add(hf3);

            HyperLink hf4 = new HyperLink();
            currUrl = "frmAnexoBalance.aspx?Periodo=ABRIL&MesID=4&GGPPID=0&FBID=0&TCID=0&Scr=" + ViewState["HotelID"] + "&Area=" + ViewState["AreaID"] + "&Und=" + ViewState["UnidadNegocioID"];
            hf4.NavigateUrl = "#";
            if (footer["Abril"].Text == "0.00") footer["Abril"].Text = "";
            hf4.Text = footer["Abril"].Text.Trim();
            hf4.CssClass = "linkstotal";
            hf4.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','SGH Perú');");
            footer["Abril"].Controls.Add(hf4);

            HyperLink hf5 = new HyperLink();
            currUrl = "frmAnexoBalance.aspx?Periodo=MAYO&MesID=5&GGPPID=0&FBID=0&TCID=0&Scr=" + ViewState["HotelID"] + "&Area=" + ViewState["AreaID"] + "&Und=" + ViewState["UnidadNegocioID"];
            hf5.NavigateUrl = "#";
            if (footer["Mayo"].Text == "0.00") footer["Mayo"].Text = "";
            hf5.Text = footer["Mayo"].Text.Trim();
            hf5.CssClass = "linkstotal";
            hf5.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','SGH Perú');");
            footer["Mayo"].Controls.Add(hf5);

            HyperLink hf6 = new HyperLink();
            currUrl = "frmAnexoBalance.aspx?Periodo=JUNIO&MesID=6&GGPPID=0&FBID=0&TCID=0&Scr=" + ViewState["HotelID"] + "&Area=" + ViewState["AreaID"] + "&Und=" + ViewState["UnidadNegocioID"];
            hf6.NavigateUrl = "#";
            if (footer["Junio"].Text == "0.00") footer["Junio"].Text = "";
            hf6.Text = footer["Junio"].Text.Trim();
            hf6.CssClass = "linkstotal";
            hf6.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','SGH Perú');");
            footer["Junio"].Controls.Add(hf6);

            HyperLink hf7 = new HyperLink();
            currUrl = "frmAnexoBalance.aspx?Periodo=JULIO&MesID=7&GGPPID=0&FBID=0&TCID=0&Scr=" + ViewState["HotelID"] + "&Area=" + ViewState["AreaID"] + "&Und=" + ViewState["UnidadNegocioID"];
            hf7.NavigateUrl = "#";
            if (footer["Julio"].Text == "0.00") footer["Julio"].Text = "";
            hf7.Text = footer["Julio"].Text.Trim();
            hf7.CssClass = "linkstotal";
            hf7.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','SGH Perú');");
            footer["Julio"].Controls.Add(hf7);

            HyperLink hf8 = new HyperLink();
            currUrl = "frmAnexoBalance.aspx?Periodo=AGOSTO&MesID=8&GGPPID=0&FBID=0&TCID=0&Scr=" + ViewState["HotelID"] + "&Area=" + ViewState["AreaID"] + "&Und=" + ViewState["UnidadNegocioID"];
            hf8.NavigateUrl = "#";
            if (footer["Agosto"].Text == "0.00") footer["Agosto"].Text = "";
            hf8.Text = footer["Agosto"].Text.Trim();
            hf8.CssClass = "linkstotal";
            hf8.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','SGH Perú');");
            footer["Agosto"].Controls.Add(hf8);

            HyperLink hf9 = new HyperLink();
            currUrl = "frmAnexoBalance.aspx?Periodo=SEPTIEMBRE&MesID=9&GGPPID=0&FBID=0&TCID=0&Scr=" + ViewState["HotelID"] + "&Area=" + ViewState["AreaID"] + "&Und=" + ViewState["UnidadNegocioID"];
            hf9.NavigateUrl = "#";
            if (footer["Septiembre"].Text == "0.00") footer["Septiembre"].Text = "";
            hf9.Text = footer["Septiembre"].Text.Trim();
            hf9.CssClass = "linkstotal";
            hf9.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','SGH Perú');");
            footer["Septiembre"].Controls.Add(hf9);

            HyperLink hf10 = new HyperLink();
            currUrl = "frmAnexoBalance.aspx?Periodo=OCTUBRE&MesID=11&GGPPID=0&FBID=0&TCID=0&Scr=" + ViewState["HotelID"] + "&Area=" + ViewState["AreaID"] + "&Und=" + ViewState["UnidadNegocioID"];
            hf10.NavigateUrl = "#";
            if (footer["Octubre"].Text == "0.00") footer["Octubre"].Text = "";
            hf10.Text = footer["Octubre"].Text.Trim();
            hf10.CssClass = "linkstotal";
            hf10.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','SGH Perú');");
            footer["Octubre"].Controls.Add(hf10);

            HyperLink hf11 = new HyperLink();
            currUrl = "frmAnexoBalance.aspx?Periodo=NOVIEMBRE&MesID=11&GGPPID=0&FBID=0&TCID=0&Scr=" + ViewState["HotelID"] + "&Area=" + ViewState["AreaID"] + "&Und=" + ViewState["UnidadNegocioID"];
            hf11.NavigateUrl = "#";
            if (footer["Noviembre"].Text == "0.00") footer["Noviembre"].Text = "";
            hf11.Text = footer["Noviembre"].Text.Trim();
            hf11.CssClass = "linkstotal";
            hf11.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','SGH Perú');");
            footer["Noviembre"].Controls.Add(hf11);

            HyperLink hf12 = new HyperLink();
            currUrl = "frmAnexoBalance.aspx?Periodo=DICIEMBRE&MesID=12&GGPPID=0&FBID=0&TCID=0&Scr=" + ViewState["HotelID"] + "&Area=" + ViewState["AreaID"] + "&Und=" + ViewState["UnidadNegocioID"];
            hf12.NavigateUrl = "#";
            if (footer["Diciembre"].Text == "0.00") footer["Diciembre"].Text = "";
            hf12.Text = footer["Diciembre"].Text.Trim();
            hf12.CssClass = "linkstotal";
            hf12.Attributes.Add("OnClick", "return AbreVentana('" + currUrl + "','SGH Perú');");
            footer["Diciembre"].Controls.Add(hf12);

        }

       
    }

    protected void ddlTipoCuenta_ItemsRequested(object o, RadComboBoxItemsRequestedEventArgs e)
    {

    }

    protected void tk_Grid_ItemCommand(object source, GridCommandEventArgs e)
    {
        tk_Grid.ExportSettings.ExportOnlyData = true;
        tk_Grid.ExportSettings.IgnorePaging = true;
        tk_Grid.ExportSettings.OpenInNewWindow = false;

        switch (e.CommandName) {
            case "ExportExcel":
                        if (Cls_Propiedades.PrivilegiosUsuario[0].Exporta == 1)
                        {
                            tk_Grid.MasterTableView.ExportToExcel();
                        }
                        else
                        {
                            showMessage("No posee los privilegios necesario para completar la operación");
                        }                        
                        break;
            case "ExportPDF":
                        if (Cls_Propiedades.PrivilegiosUsuario[0].Exporta == 1)
                        {
                            tk_Grid.MasterTableView.ExportToPdf();
                        }
                        else
                        {
                            showMessage("No posee los privilegios necesario para completar la operación");
                        }
                        break;
            case "ExportWord":
                        if (Cls_Propiedades.PrivilegiosUsuario[0].Exporta == 1)
                        {
                            tk_Grid.MasterTableView.ExportToWord();
                        }
                        else
                        {
                            showMessage("No posee los privilegios necesario para completar la operación");
                        }
                        break;
            case "ExportCSV":
                        if (Cls_Propiedades.PrivilegiosUsuario[0].Exporta == 1)
                        {
                            tk_Grid.MasterTableView.ExportToCSV();
                        }
                        else
                        {
                            showMessage("No posee los privilegios necesario para completar la operación");
                        }
                        break;
            case "Print":
                        if (Cls_Propiedades.PrivilegiosUsuario[0].Imprime == 1)
                        {
                            //Response.Write(Cls_Utilitaria.f_Imprime());
                            RadWindowManager windowManager = new RadWindowManager();
                            RadWindow widnow1 = new RadWindow();
                            // Set the window properties   
                            widnow1.NavigateUrl = "Frm_ReporteEstadoSituacionFinanciera.aspx?monedaID=" + Convert.ToInt32(cbxMoneda.SelectedValue.Trim()) + "&TipoFormatoGGPPID=" + Convert.ToInt32(cbxTipoFormatoGGPP.SelectedValue.Trim()) + "&TipoCuentaID=" + (String)this.cbxTipoCuenta.SelectedValue.Trim() + "&Ejercicio=" + Convert.ToInt32(Session["txtperiodo"].ToString()) + "&UnidadNegocioID=" + Convert.ToInt32(ViewState["UnidadNegocioID"]) + "&AreaID=" + Convert.ToInt32(ViewState["AreaID"]) + "&HotelID=" + Convert.ToInt32(ViewState["HotelID"]) + "&NivelID=" + Convert.ToInt32(cbxNivelCuentas.SelectedValue.Trim()) + "&EstablecimientoID=" + Convert.ToInt32(Session["EmpresaID"]) + "&Acumulado=" + this.cbxAcumulado.SelectedValue.ToString() + "&FormatoReporte=" + Request.QueryString["FormatoReporte"].ToString() + "&Texto1=" + this.cbxTipoFormatoGGPP.SelectedItem.Text.ToString() + "&Texto2=A%C3%B1o:%20" + Convert.ToInt32(Session["txtperiodo"].ToString()) + " &Texto3=&PeriodoID=" + Request.QueryString["Mes"].ToString();
                            widnow1.ID = "RadWindow1";
                            widnow1.Width = 500;
                            widnow1.Height = 500;
                            widnow1.Skin = "Office2007";
                            widnow1.VisibleOnPageLoad = true; // Set this property to True for showing window from code   
                            windowManager.Windows.Add(widnow1);
                            this.form2.Controls.Add(widnow1);
                            tk_Grid.Rebind();
                        }
                        else
                        { 
                            showMessage("No posee los privilegios necesario para completar la operación");
                        }
                        break;
            case "ExpandCollapse":
                        {
                            e.Item.Enabled = false;
                        }
                        break;
        }
        listar();
        SetVariables();
    }

    protected void showMessage(string strMessage)
    {
        ClientScript.RegisterStartupScript(this.GetType(), "Application", string.Format("alert('{0}');", HttpUtility.HtmlDecode(strMessage)), true);
    }

    protected void cbxTipoFormatoGGPP_ItemsRequested(object o, RadComboBoxItemsRequestedEventArgs e)
    {
        PopulateCombo_TipoFormatoGGPP(e.Text);
    }   

    private void PopulateCombo_TipoFormatoGGPP(String text)
    {
        BLTipoFormatoDeGGyPP oBLTipoFormatoDeGGyPP = new BLTipoFormatoDeGGyPP();
        List<BETipoFormatoDeGGyPP> loTipoFormatoDeGGyPP;
        int i;

        loTipoFormatoDeGGyPP = oBLTipoFormatoDeGGyPP.fnSelTipoFormatoDeGGyPPAll();

        for (i = 0; i < loTipoFormatoDeGGyPP.Count; i++)
        {
            RadComboBoxItem item = new RadComboBoxItem();
            item.Text = loTipoFormatoDeGGyPP[i].NombreTipoFormato;
            item.Value = loTipoFormatoDeGGyPP[i].TipoFormatoGGPPID.Trim();
            cbxTipoFormatoGGPP.Items.Add(item);
            item.DataBind();
        }

        oBLTipoFormatoDeGGyPP = null;
        loTipoFormatoDeGGyPP = null;
    }
  
    protected void cbxMoneda_ItemsRequested(object o, RadComboBoxItemsRequestedEventArgs e)
    {
        PopulateCombo_Moneda(e.Text);
    }

    private void PopulateCombo_Moneda(String SelectedValue)
    {
        BLMonedas oBEMonedas = new BLMonedas();
        List<BEMonedas> loMonedas;

        loMonedas = oBEMonedas.fnSelMonedasAll();

        for (int i = 0; i < loMonedas.Count; i++)
        {
            RadComboBoxItem item = new RadComboBoxItem();
            item.Text = loMonedas[i].Nombre.Trim();
            item.Value = loMonedas[i].MonedaID.ToString();
            cbxMoneda.Items.Add(item);
            item.DataBind();
        }

        if (SelectedValue == "") cbxMoneda.SelectedValue = Session["MonedaID"].ToString();

        oBEMonedas = null;
        loMonedas = null;
    }
    protected void cbxAcumulado_ItemsRequested(object o, RadComboBoxItemsRequestedEventArgs e)
    {
        PopulateCombo_Acumulado(e.Text);
    }

    private void PopulateCombo_Acumulado(String SelectedValue)
    {
        RadComboBoxItem item = new RadComboBoxItem();
        item.Text = "Mensual";
        item.Value = "0";
        cbxAcumulado.Items.Add(item);
        item.DataBind();

        RadComboBoxItem _item = new RadComboBoxItem();
        _item.Text = "Acumulado";
        _item.Value = "1";
        cbxAcumulado.Items.Add(_item);
        _item.DataBind();

        if (SelectedValue == "") cbxAcumulado.SelectedValue = "0";
        if (SelectedValue != "") cbxAcumulado.SelectedValue = SelectedValue;
    }
    protected void cbxTipoCuenta_ItemsRequested(object o, RadComboBoxItemsRequestedEventArgs e)
    {
        PopulateComco_TipoCuenta(e.Text);
    }

    private void PopulateComco_TipoCuenta(String SelectedValue)
    {
        BLTipoCuenta oBLTipoCuenta = new BLTipoCuenta();
        List<BETipoCuenta> loBLTipoCuenta;

        loBLTipoCuenta = oBLTipoCuenta.fnSelTipoCuentaDin("Estado=0", "");
        RadComboBoxItem item0 = new RadComboBoxItem();
        item0.Text = "Todas";
        item0.Value = "0";
        cbxTipoCuenta.Items.Add(item0);
        item0.DataBind();

        for (int i = 0; i < loBLTipoCuenta.Count; i++)
        {
            RadComboBoxItem item = new RadComboBoxItem();
            item.Text = loBLTipoCuenta[i].CodigoTipoCuenta.Trim() + " -> " + loBLTipoCuenta[i].NombreTipoCuenta.Trim();
            item.Value = Convert.ToString(loBLTipoCuenta[i].TipoCuentaID.Trim());
            cbxTipoCuenta.Items.Add(item);
            item.DataBind();
        }
        oBLTipoCuenta = null;
        loBLTipoCuenta = null;

        if (SelectedValue == "") cbxTipoCuenta.SelectedValue = "0";
    }

    protected void cbxNivelCuentas_ItemsRequested(object o, RadComboBoxItemsRequestedEventArgs e)
    {
        PopulateCombo_NivelCuenta(e.Text);
    }

    private void PopulateCombo_NivelCuenta(String SelectedValue)
    {
        BLPlanDeCuentasNiveles oBLPlanDeCuentasNiveles = new BLPlanDeCuentasNiveles();
        List<BEPlanDeCuentasNiveles> loPlanDeCuentasNiveles;
        int i = 0;

        loPlanDeCuentasNiveles = oBLPlanDeCuentasNiveles.fnSelPlanDeCuentasAll();
        RadComboBoxItem item0 = new RadComboBoxItem();
        item0.Text = "General";
        item0.Value = "0";
        cbxNivelCuentas.Items.Add(item0);
        item0.DataBind();

        for (i = 0; i < loPlanDeCuentasNiveles.Count; i++)
        {
            RadComboBoxItem item = new RadComboBoxItem();
            item.Text = loPlanDeCuentasNiveles[i].NombreNivel.Trim();
            item.Value = Convert.ToString(loPlanDeCuentasNiveles[i].PlanDeCuentasNivelesID);
            cbxNivelCuentas.Items.Add(item);
            item.DataBind();
        }
        oBLPlanDeCuentasNiveles = null;
        loPlanDeCuentasNiveles = null;

        //if (Convert.ToInt32(Request.QueryString["PPGG"]) > 07 || Convert.ToInt32(Request.QueryString["FormatoReporte"]) = 1)
        //{

        //}
        if (SelectedValue == "") cbxNivelCuentas.SelectedValue = "0";
    }
    protected void tk_Grid_NeedDataSource(object source, GridNeedDataSourceEventArgs e)
    {
        listar();
        //CreateGroups(5);
        //if (ViewState["NivelCuentaID"] != null) CreateGroups(Convert.ToInt32(ViewState["NivelCuentaID"]));
    }
    protected void cbxNivelCuentas_SelectedIndexChanged(object o, RadComboBoxSelectedIndexChangedEventArgs e)
    {
        //tk_Grid.DataSource = null;
        //tk_Grid.DataBind();
        //tk_Grid.Dispose();
        //ViewState["NivelCuentaID"] = cbxNivelCuentas.SelectedValue.Trim();
        //tk_Grid.Rebind();
        //if (ViewState["NivelCuentaID"] != null) CreateGroups(Convert.ToInt32(ViewState["NivelCuentaID"]));
       // if (ViewState["NivelCuentaID"] != null) CreateGroups(Convert.ToInt32(cbxNivelCuentas.SelectedValue.Trim()));
    }

    protected void tk_Grid_PreRender(object sender, EventArgs e)
    {
        tk_Grid.MasterTableView.GetColumn("ExpandColumn").Display = false;
        //foreach (GridGroupFooterItem item in tk_Grid.MasterTableView.GetItems(GridItemType.GroupFooter))
        //{
            //if (item.GroupIndex.Length >= 1)
            //{
            //item["NombreFormatoGanaciasPerdidas"].Style["background-color"] = "#E7F1D7";
            //item["Apertura"].Style["background-color"] = "#E7F1D7";
            //item["Enero"].Style["background-color"] = "#E7F1D7";
            //item["Febrero"].Style["background-color"] = "#E7F1D7";
            //item["Marzo"].Style["background-color"] = "#E7F1D7";
            //item["Abril"].Style["background-color"] = "#E7F1D7";
            //item["Mayo"].Style["background-color"] = "#E7F1D7";
            //item["Junio"].Style["background-color"] = "#E7F1D7";
            //item["Julio"].Style["background-color"] = "#E7F1D7";
            //item["Agosto"].Style["background-color"] = "#E7F1D7";
            //item["Septiembre"].Style["background-color"] = "#E7F1D7";
            //item["Octubre"].Style["background-color"] = "#E7F1D7";
            //item["Noviembre"].Style["background-color"] = "#E7F1D7";
            //item["Diciembre"].Style["background-color"] = "#E7F1D7";
            //item["Cierre"].Style["background-color"] = "#E7F1D7";
            //}
        //}
        
        foreach (GridFooterItem item in tk_Grid.MasterTableView.GetItems(GridItemType.Footer))
        {
            //if (item.GroupIndex.Length >= 1)
            //{
            item.PrepareItemVisibility();
            

            //item["NombreFormatoGanaciasPerdidas"].Style["background-color"] = "#3A5126";
            //item["Apertura"].Style["background-color"] = "#3A5126";
            //item["Enero"].Style["background-color"] = "#3A5126";
            //item["Febrero"].Style["background-color"] = "#3A5126";
            //item["Marzo"].Style["background-color"] = "#3A5126";
            //item["Abril"].Style["background-color"] = "#3A5126";
            //item["Mayo"].Style["background-color"] = "#3A5126";
            //item["Junio"].Style["background-color"] = "#3A5126";
            //item["Julio"].Style["background-color"] = "#3A5126";
            //item["Agosto"].Style["background-color"] = "#3A5126";e
            //item["Septiembre"].Style["background-color"] = "#3A5126";
            //item["Octubre"].Style["background-color"] = "#3A5126";
            //item["Noviembre"].Style["background-color"] = "#3A5126";
            //item["Diciembre"].Style["background-color"] = "#3A5126";
            //item["Cierre"].Style["background-color"] = "#3A5126";

            //item["NombreFormatoGanaciasPerdidas"].Style["color"] = "#FFFFFF";
            //item["Apertura"].Style["color"] = "#FFFFFF";
            //item["Enero"].Style["color"] = "#FFFFFF";
            //item["Febrero"].Style["color"] = "#FFFFFF";
            //item["Marzo"].Style["color"] = "#FFFFFF";
            //item["Abril"].Style["color"] = "#FFFFFF";
            //item["Mayo"].Style["color"] = "#FFFFFF";
            //item["Junio"].Style["color"] = "#FFFFFF";
            //item["Julio"].Style["color"] = "#FFFFFF";
            //item["Agosto"].Style["color"] = "#FFFFFF";
            //item["Septiembre"].Style["color"] = "#FFFFFF";
            //item["Octubre"].Style["color"] = "#FFFFFF";
            //item["Noviembre"].Style["color"] = "#FFFFFF";
            //item["Diciembre"].Style["color"] = "#FFFFFF";
            //item["Cierre"].Style["color"] = "#FFFFFF";
            //}
        }


        //GridDataItem lastItem = tk_Grid.MasterTableView.Items[tk_Grid.MasterTableView.Items.Count - 1];
        //foreach (TableCell cell in lastItem.Cells)
        //{
            
        //    cell.Style["border-bottom"] = "1px solid red";
            
        //} 
    }
    //protected void l1_Click(object sender, EventArgs e)
    //{
    //    ScriptManager.RegisterStartupScript(this, this.GetType(), "", "algo()", true);
    //    window.opener.location.open("pagina")
    //}


    protected void tk_Grid_ColumnCreated(object sender, GridColumnCreatedEventArgs e)
    {
        if (e.Column is GridGroupSplitterColumn)
        {
            //e.Column.HeaderStyle.Width = Unit.Pixel(2);
            //e.Column.HeaderStyle.Font.Size = FontUnit.Point(1);
            //e.Column.ItemStyle.Width = Unit.Pixel(1);
            //e.Column.ItemStyle.Font.Size = FontUnit.Point(1);
            //e.Column.Resizable = false;
        }
        if (e.Column is GridExpandColumn)
        {
            e.Column.Display = false;
        }
    }

    protected void cbxTipoFormatoGGPP_SelectedIndexChanged(object o, RadComboBoxSelectedIndexChangedEventArgs e)
    {

    }

    private Int32 MostrarSubTotales()
    {
        BEParametrosGenerales objBEParametrosGenerales = new BEParametrosGenerales();
        BLParametrosGenerales objBLParametrosGenerales = new BLParametrosGenerales();
        objBEParametrosGenerales.ParametroGeneralID = 617;
        List<BEParametrosGenerales> lstBEParametrosGenerales = objBLParametrosGenerales.fnSelParametrosGenerales(objBEParametrosGenerales);
        return Convert.ToInt32(lstBEParametrosGenerales[0].Estado);
    }
}

